Page MenuHomePhabricator

Decommission dbproxy1006.eqiad.wmnet
Open, NormalPublic

Description

This task will track the decommission of server dbproxy1006.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

dbproxy1006

Steps for service owner:

  • - Remove grants T231280
  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: system added back to spares tracking (by onsite)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2019, 11:42 AM
Marostegui triaged this task as Normal priority.Sep 18 2019, 11:42 AM
Marostegui moved this task from Triage to Next on the DBA board.
Marostegui updated the task description. (Show Details)Sep 18 2019, 12:02 PM
Marostegui moved this task from Next to In progress on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2019-09-18T12:03:49Z] <marostegui> Stop haproxy on dbproxy1006 - T233207

Stopped haproxy to make sure nothing really uses it before decommissioning

root@dbproxy1006:~# systemctl stop haproxy
root@dbproxy1006:~# echo "show stat" | socat /run/haproxy/haproxy.sock stdio
2019/09/18 12:04:10 socat[5642] E connect(5, AF=1 "/run/haproxy/haproxy.sock", 27): Connection refused
Marostegui updated the task description. (Show Details)Mon, Oct 7, 7:13 AM

Change 541192 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission dbproxy1006

https://gerrit.wikimedia.org/r/541192

Change 541192 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission dbproxy1006

https://gerrit.wikimedia.org/r/541192

Marostegui updated the task description. (Show Details)

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: dbproxy1006.eqiad.wmnet

  • dbproxy1006.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 544619 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove puppet references for dbproxy1006

https://gerrit.wikimedia.org/r/544619

Change 544620 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production dns entries dbproxy1006

https://gerrit.wikimedia.org/r/544620

Change 544619 merged by Marostegui:
[operations/puppet@production] site.pp: Remove puppet references for dbproxy1006

https://gerrit.wikimedia.org/r/544619

Change 544620 merged by Marostegui:
[operations/dns@master] wmnet: Remove production dns entries dbproxy1006

https://gerrit.wikimedia.org/r/544620

Marostegui updated the task description. (Show Details)
Marostegui moved this task from Backlog to pending onsite steps (eqiad) on the decommission board.

Host ready for on-site steps and switch disablement

Marostegui added a subscriber: Cmjohnson.

Change 544659 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/software@master] report_users.sh: Remove dbproxy1006

https://gerrit.wikimedia.org/r/544659

Change 544659 merged by Marostegui:
[operations/software@master] report_users.sh: Remove dbproxy1006

https://gerrit.wikimedia.org/r/544659